--- a/src/libs/CMakeLists.txt
+++ b/src/libs/CMakeLists.txt
@@ -83,11 +83,14 @@
 add_library(timeline MODULE "tools/timeline.c")
 add_library(image_infos MODULE "tools/image_infos.c")
 
+if (USE_PORTMIDI)
 find_path(PORTMIDI_INCLUDE_DIR NAMES portmidi.h
           DOC "The Portmidi include directory"
+          REQUIRED
 )
 find_library(PORTMIDI_LIBRARY NAMES portmidi
           DOC "The Portmidi library"
+          REQUIRED
 )
 if(PORTMIDI_INCLUDE_DIR)
   add_definitions("-DHAVE_PORTMIDI")
@@ -96,8 +99,10 @@
   add_library(midi MODULE "tools/midi.c")
   target_link_libraries (midi ${PORTMIDI_LIBRARY})
 endif()
+endif()
 
-find_package(SDL2)
+if (USE_SDL2)
+find_package(SDL2 REQUIRED)
 if(SDL2_INCLUDE_DIRS)
   add_definitions("-DHAVE_SDL")
   include_directories(${SDL2_INCLUDE_DIRS})
@@ -105,6 +110,7 @@
   add_library(gamepad MODULE "tools/gamepad.c")
   target_link_libraries(gamepad ${SDL2_LIBRARIES})
 endif()
+endif()
 
 if(BUILD_BATTERY_INDICATOR)
   add_library(battery_indicator MODULE "tools/battery_indicator.c")
